Subject: tab-width's docstring

From: Gustavo Barros <[email-masked]>
Date: Tue, 27 Apr 2021 10:11:30 -0300

Hi All,

In Emacs 27.2 the docstring for `tab-width' reads:

"Distance between tab stops (for display of tab characters), in columns. 
NOTE: This controls the display width of a TAB character, and not the 
size of an indentation step."

But this seems to contradict to the ubiquitous role in actual 
indentation the option currently plays.  It is used by `insert-tab' 
directly.  `tab-to-tab-stop' uses it if `tab-stop-list' is nil, as it is 
by default.  `indent-relative' may use `tab-to-tab-stop'.  And, through 
`indent-relative' and `insert-tab', `tab-width' also affects 
`indent-for-tab-command'.

Am I missing something?  Or is this docstring the remnant of a previous 
change which was left behind?

Best regards,
Gustavo.